Cloud accounts
Create a cloud account in an organisation.
Path Parameters
organisationSlug*string
Match
^[a-z0-9-_]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/orgs/string/cloud-accounts" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string", "cloudProfile": "string" }'{ "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5", "displayName": "string", "metadata": { "property1": "string", "property2": "string" }, "cloudProfile": { "identity": "string", "displayName": "string", "metadata": { "property1": "string", "property2": "string" }, "cloudProvider": "string", "regions": [ "string" ], "enabled": true, "type": "aws", "cloudProviderResponse": { "id": 0, "name": "string", "slug": "string", "available": true, "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z", "logo": "string", "byon": true, "type": "aws", "privateClusterSetting": "UNAVAILABLE", "metadata": { "property1": "string", "property2": "string" }, "validateCloudCredentials": true }, "cloudProviderRegionResponses": [ { "id": 0, "provider": "string", "name": "string", "slug": "string", "available": true, "restricted": true, "addToNewTrialOrganizations": true, "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z" } ], "public": true }, "enabled": true, "primaryCloudCredentialsIdentity": "962b660f-35b8-4ef0-9e6d-6f86f64922e0"}